# TdApi.InputPassportElementError (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputPassportElementError

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputPassportElementError

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputPassportElementError

Enclosing class:
  TdApi

public static final class TdApi.InputPassportElementError extends TdApi.Object
Contains the description of an error in a Telegram Passport element; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`message`
Error message.
`TdApi.InputPassportElementErrorSource`
`source`
Error source.
`TdApi.PassportElementType`
`type`
Type of Telegram Passport element that has the error.

## Constructor Summary

Constructors
Constructor
Description
`InputPassportElementError()`
Contains the description of an error in a Telegram Passport element; for bots only.
`InputPassportElementError(TdApi.PassportElementType type, String message, TdApi.InputPassportElementErrorSource source)`
Contains the description of an error in a Telegram Passport element; for bots only.
`InputPassportElementError(DataInput input)`
Contains the description of an error in a Telegram Passport element; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.PassportElementType type
Type of Telegram Passport element that has the error.

### message

public String message
Error message.

### source

public TdApi.InputPassportElementErrorSource source
Error source.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputPassportElementError

public InputPassportElementError()
Contains the description of an error in a Telegram Passport element; for bots only.

### InputPassportElementError

public InputPassportElementError(TdApi.PassportElementType type, String message, TdApi.InputPassportElementErrorSource source)
Contains the description of an error in a Telegram Passport element; for bots only.

Parameters:
  `type` - PassportElementType Type of Telegram Passport element that has the error.
  `message` - String Error message.
  `source` - InputPassportElementErrorSource Error source.

### InputPassportElementError

public InputPassportElementError(DataInput input) throws IOException
Contains the description of an error in a Telegram Passport element; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`